import request from '@/utils/request';
import {currencyApi} from './app';

//   请求函数开始   获取首页,行情页面数据
export function getCurrencyUrl() {
  return currencyApi;
}

// 获取首页行情
export function getUsd() {
  return request({
    // url: '/query',
    url: currencyApi + '/market/getHomeList',
    method: 'get',
    // params: {name},
  });
}

// 获取首页涨幅版
export function getRange() {
  return request({
    url: currencyApi + '/market/getTopList',
    method: 'get',
    // parmas: {
    //   name,
    // },
  });
}

// 获取行情页面左边数据
export function getLeftPrice() {
  return request({
    url: currencyApi + '/market/getList',
    method: 'get',
  });
}

// 获取行情页面基本信息数据
export function getRightInfo({currencyName}) {
  return request({
    url: currencyApi + '/currency/getCurrencyInfo',
    method: 'get',
    params: {currencyName},
  });
}

// 获取行情图表信息
export function getDark({currencyPair, timeType, timeNumber}) {
  return request({
    url: currencyApi + '/market/query',
    method: 'get',
    params: {currencyPair, timeType, timeNumber},
  });
}

//  请求函数结束

// ZHX  请求函数开始
// 获取涨跌幅,最新价等数据
export function getCoinPairsDetail({currencyPair}) {
  return request({
    url: currencyApi + '/market/get?',
    method: 'get',
    params: {currencyPair},
  });
}
// 获取最新行情，左侧币对，涨跌幅,最新价等数据
export function getCoinPairs() {
  return request({
    url: currencyApi + '/market/getList',
    method: 'get',
  });
}
// 获取时分图表信息
export function getMintue({currencyPair, timeType, timeNumber}) {
  return request({
    url: currencyApi + '/market/query',
    method: 'get',
    params: {currencyPair, timeType, timeNumber},
  });
}
// 获取首页行情币种
export function getQuote() {
  return request({
    url: currencyApi + '/currency/getQuoteCurrency',
    // url: currencyApi + '/getQuoteCurrency',
    method: 'get',
  });
}

// 获取首页行情币种获取信息
export function getQuoteList({currencyName}) {
  return request({
    url: currencyApi + '/market/getQuoteList',
    method: 'get',
    params: {currencyName},
  });
}
// // 根据交易币对查询成交记录
export function getTradingRecord({currencyPair}) {
  return request({
    url: currencyApi + '/market/getHistoryList?',
    method: 'get',
    params: {
      currencyPair,
    },
  });
}
// ZHX  请求函数结束
