// no!!!

const btcIntro =
  '比特币（Bitcoin，简称BTC）是目前使用最为广泛的一种数字货币，它诞生于2009年1月3日，是一种点对点（P2P）传输的数字加密货币，总量2100万枚。比特币网络每10分钟释放出一定数量币，预计在2140年达到极限。比特币被投资者称为”数字黄金”。比特币依据特定算法，通过大量的计算产生，不依靠特定货币机构发行，其使用整个P2P网络中众多节点构成的分布式数据库来确认并记录所有的交易行为，并使用密码学设计确保货币流通各个环节安全性，可确保无法通过大量制造比特币来人为操控币值。基于密码学的设计可以使比特币只能被真实拥有者转移、支付及兑现。同样确保了货币所有权与流通交易的匿名性。';
const htIntro =
  '火币全球通用积分，简称HT，是基于区块链发行和管理的积分系统。HT发行总量限定5亿，100%用于赠送，其中60%（三亿）用于购买点卡套餐赠送（每日限量）；20%（一亿）用于用户奖励和平台运营；20%（一亿）用于团队激励，锁定期四年，每年2500万。';

export default {
  btcInfos: [
    ['币种名称', {type: 'text', text: '比特币', secondary: '（BTC/Bitcoin）'}],
    ['发行时间', '2008-11-1'],
    ['发行总量', '2100万'],
    ['流通总量', '1,754.96万'],
    ['众筹价格', '--'],
    [
      '相关链接',
      {
        type: 'link',
        links: [
          {text: '官网', link: 'https://bitcoin.org/'},
          {text: '白皮书', link: 'http://www.bitcoin.org/bitcoin.pdf'},
          {text: '区块查询', link: ''},
        ],
      },
    ],
    ['简介', {type: 'des', text: btcIntro}],
  ],
  htInfos: [
    [
      '币种名称',
      {type: 'text', text: '火币积分', secondary: '（HT/ huobi-token）'},
    ],
    ['发行时间', '2018-01-24'],
    ['发行总量', '5.00亿'],
    ['流通总量', '3.00亿'],
    ['众筹价格', '--'],
    [
      '相关链接',
      {type: 'link', links: [{text: '官网', link: 'https://www.huobi.co/'}]},
    ],
    ['简介', {type: 'des', text: htIntro}],
  ],
  news: [
    {
      title: 'BTC短线突破箱体上沿 但日线遇阻',
      link: 'https://www.huobiinfo.com/news/baseDetail_37255/',
      des: '今日BTC行情分析',
      localTime: '2019-01-20  10:10:10',
    },
    {
      title: '行情分析：空头力星渐弱，主力似乎在下一盘大棋',
      des: '今日行情分析币种：BTC/ETH/EOS/ETC/XRP/LTC',
      localTime: '2019-01-20  10:10:10',
    },
    {
      title: '加密市场寒冬开始解冻？BTC算力正在持续上升',
      des: '最近一段时间，比特币挖矿似乎又重新恢复了活力。',
      localTime: '2019-01-20  10:10:10',
    },
  ],
};
