import {getLangEn} from './utils';
import {deepFreeze} from '@/common/util';
const subModuleLang = getLangEn();

export default deepFreeze({
  ...subModuleLang,
  nav: {
    menu_name: 'Zhixin Chain',
    menu_home: 'Home',
    menu_markets: 'Markets',
    menu_exchange: 'Exchange',
    menu_OTC: 'Transaction',
    menu_fall: 'Place an ad',
    menu_funds: 'Funds',
    menu_orders: 'Coin management',
    menu_dingdan: 'Legal currency management',
    menu_exchange_rate: 'Rate',
    menu_signIn: 'Sign In',
    menu_logOut: 'Sign Out',
    menu_HK: 'HKD',
    menu_USD: 'USD',
    menu_CNY: 'CNY',
    menu_EUR: 'EUR',
    menu_china: 'Chinese',
    owner_password: 'Password storage time has expired, please re-enter',
  },
  footer: {
    about: 'About us',
    service: 'Service Agreement',
    privacy: 'Privacy Agreement',
    help: 'Help Center',
    links: 'Links',
    phone: 'Phone',
    mailbox: 'Mailbox',
    rate: 'Rate statement',
    white: 'Project Center',
    industry: 'Industry Information',
    notice: 'Notice',
    callme: 'Contact us',
  },
});
