import {getLangZh_CN} from './utils';
import {deepFreeze} from '@/common/util';
const subModuleLang = getLangZh_CN();

export default deepFreeze({
  ...subModuleLang,
  nav: {
    menu_name: '智信链',
    menu_home: '首页',
    menu_markets: '行情',
    menu_exchange: '币币交易',
    menu_OTC: '法币交易',
    menu_fall: '发布广告',
    menu_funds: '资产管理',
    menu_orders: '币币管理',
    menu_dingdan: '法币管理',
    menu_exchange_rate: '汇率',
    menu_signIn: '登录',
    menu_logOut: '退出',
    menu_HK: '港币',
    menu_USD: '美元',
    menu_CNY: '人民币',
    menu_EUR: '欧元',
    menu_china: '中文',
    owner_password: '密码存储时间已过期,请重新输入',
  },
  footer: {
    about: '关于我们',
    service: '服务协议',
    privacy: '隐私协议',
    help: '帮助中心',
    links: '友情链接',
    phone: '电话',
    mailbox: '邮箱',
    rate: '费率说明',
    white: '项目中心',
    industry: '行业资讯',
    notice: '系统公告',
    callme: '联系我们',
  },
});
