import {getLangZh_HK} from './utils';
import {deepFreeze} from '@/common/util';
const subModuleLang = getLangZh_HK();

export default deepFreeze({
  ...subModuleLang,
  nav: {
    menu_name: '智信鏈',
    menu_home: '首頁',
    menu_markets: '行情',
    menu_exchange: '币币交易',
    menu_OTC: '法币交易',
    menu_fall: '发布广告',
    menu_funds: '資產管理',
    menu_orders: '币币管理',
    menu_dingdan: '法币管理',
    menu_exchange_rate: '匯率',
    menu_signIn: '登錄',
    menu_logOut: '退出',
    menu_HK: '港幣',
    menu_USD: '美元',
    menu_CNY: '人民幣',
    menu_EUR: '歐元',
    menu_china: '中文',
    owner_password: '密碼存儲時間已過期,請重新輸入',
  },
  footer: {
    about: '關於我們',
    service: '服務協議',
    privacy: '隱私協議',
    help: '幫助中心',
    links: '友情鏈接',
    phone: '電話',
    mailbox: '郵箱',
    rate: '費率說明',
    white: '項目中心',
    industry: '行業資訊',
    notice: '系统公告',
    callme: '聯系我們',
  },
});
