import Vue from 'vue';
import Router from 'vue-router';
import trade from './trade.vue';
// import entrustdetail from './entrustdetail.vue';

Vue.use(Router);

export default new Router({
  mode: 'history',
  routes: [
    {
      path: '/',
      redirect: 'profile',
      hidden: true,
    },
    {
      path: './trade',
      name: 'trade',
      component: trade,
      hidden: true,
    },
    {
      path: './entry',
      name: 'entry',
      component: () => import('./entry.vue'),
    },
    {
      path: './studyGrade',
      name: 'studyGrade',
      component: () => import('./studyGrade.vue'),
    },
    //  {
    //    path: './entrustdetail',
    //    name: 'entrustdetail',
    //    component: entrustdetail,
    //    hidden: true,
    //  },
  ],
});
