import Vue from 'vue';
import Router from 'vue-router';
import signIn from './signIn';
import signUp from './signUp';
import forgotPassword from './forgotPassword';
Vue.use(Router);

export default new Router({
  routes: [
    {
      path: '/',
      redirect: 'signIn',
    },
    {
      path: '/signIn',
      name: 'signIn',
      component: signIn,
    },
    {
      path: '/signUp',
      name: 'signUp',
      component: signUp,
    },
    {
      path: '/forgotPassword',
      name: 'forgotPassword',
      component: forgotPassword,
    },
  ],
});
