import request from '@/utils/request';
import {c2cApi} from './app';
const appealrUrl = c2cApi + '/appeal';

// 确定申诉
export function getOrderAppeal({orderId, urls, remark}) {
  return request({
    url: appealrUrl + '/handleAppeal',
    method: 'post',
    params: {orderId, urls, remark},
  });
}

// 查询申诉处理日志
export function getOrderAppealHandleLog({orderNumber}) {
  return request({
    url: appealrUrl + '/selectAppealHandleLog',
    method: 'get',
    params: {orderNumber},
  });
}
