import request from '@/utils/request';
import {c2cApi, cctApi} from './app';
const coinUrl = c2cApi + '/coin';
const configUrl = c2cApi + '/config';
const marketUrl = c2cApi + '/marketApply';
const cctUrl = cctApi + '/config';

// 获取币种列表
export function getCoin() {
  return request({
    url: coinUrl + '/listCoin',
    method: 'get',
  });
}

// 获取买入倒计时时间
export function getConfig() {
  return request({
    url: configUrl + '/selectAutoCancelInterval',
    method: 'get',
  });
}

//费率说明 - 法币
export function getOtcCion() {
  return request({
    url: coinUrl + '/listCoinServiceCharge',
    method: 'get',
  });
}

//费率说明 - 币币
export function getcionBi() {
  return request({
    url: cctUrl + '/listServiceCharge',
    method: 'get',
  });
}

//商家 - 保证金的代币
export function getDeposit() {
  return request({
    url: configUrl + '/selectMarketFreezeCoin ',
    method: 'get',
  });
}

//商家 - 保证金的数量
export function getTotal() {
  return request({
    url: configUrl + '/selectMarketFreezeAmount ',
    method: 'get',
  });
}

//确认申请商家
export function getMarketApply() {
  return request({
    url: marketUrl + '/marketApply',
    method: 'post',
  });
}

//确认申请取消商家
export function getCancelApply() {
  return request({
    url: marketUrl + '/cancelApply',
    method: 'post',
  });
}
// 查询用户市商状态
export function cheackApply() {
  return request({
    url: c2cApi + '/marketUser/getStatusByUserId',
    method: 'get',
  });
}
