import request from '@/utils/request';
import {jgimApi} from './app';
const jgimUrl = jgimApi + '/jgim';

// 查询用户发布的广告
export function ajaxJmQian() {
  return request({
    url: jgimUrl + '/getSignature',
    method: 'get',
  });
}

// 获取用户的id
export function ajaxJmCount({userId}) {
  return request({
    url: jgimUrl + '/getJGAccount',
    method: 'get',
    params: {userId},
  });
}

// 获取消息记录
export function ajaxJmMessages({dataId, userId}) {
  return request({
    url: jgimUrl + '/getUserMessages',
    method: 'get',
    params: {dataId, userId},
  });
}

//保存用户的消息记录
export function ajaxJmLog({
  dataId,
  targetUserId,
  fromUserId,
  msgType,
  nodeCue,
  msgBody,
}) {
  return request({
    url: jgimUrl + '/saveMessageLog',
    method: 'post',
    params: {dataId, targetUserId, fromUserId, msgType, nodeCue, msgBody},
  });
}

//保存用户的消息记录
export function ajaxJmgetResource({mediaId}) {
  return request({
    url: jgimUrl + '/getResource',
    method: 'get',
    params: {mediaId},
  });
}
