export default {
  exchangeotc: {
    transaction: {
      user: 'Business',
      userSuccess: 'Order form',
      userAchieve: 'Complete',
      lastNum: 'Number',
      minLimit: 'Quota',
      price: 'Price',
      adPay: 'Payment method',
      operation: 'Operation',
      buy: 'Buy',
      buy_un: 'Buy Up',
      buy_cion: 'Up to Buy',
      delete: 'Cancel',
      diog_time1: 'Submit information to generate the order,',
      diog_time2: ' minutes completed in payment,please',
      sell: 'Sell',
      sell_un: 'For sale at most',
      sell_cion: 'At most for sale',
      pwd: 'Password',
      tanPwd: 'Transaction password',
      pleasePwd: 'please input a password',
      sure: 'Sure',
    },
    input: {
      order_tan: 'Do not trade with your own advertisements',
      login_warn: 'You are not logged in yet. Please log in first.',
      total_data: 'Trading volume cannot be empty',
      amount_total: 'Quantity cannot be empty',
      total_small: 'Trading volume should not be less than',
      adpay_one:
        "You need to activate at least one of the seller's payment methods before you can sell.",
      big_total: 'Enter more than the maximum number, please re-enter',
      pwd_no:
        "You haven't set the payment password yet. Please go back to the Personal Center to set it up.",
      pwd_write: "You haven't entered the payment password yet.",
    },
    goods: {
      order: 'Order',
      userPlease: 'Please,Your direction',
      pay: 'payment',
      success: 'Completed',
      appeal: 'In the complaint',
      sure_pay: 'I have paid',
      total: 'Total price',
      sell_pay: "Seller's Payment Method",
      wx: 'WeChat',
      bank: 'Bank card',
      zfb: 'Alipay',
      order_delete:
        'The order has been cancelled and payment information cannot be viewed',
      sell_phone: 'Seller contact information',
      phone: 'Phone',
      order_remark: 'Advertising Notes',
      appeal_result: 'Result of complaint',
      no_data: 'No time',
      adpay: 'Paymented,',
      momoent: 'stay',
      sure_cion: 'After confirmation and currency release,',
      user_receive: 'You will receive',
      moment_pay: 'Waiting for payment,',
      please: 'Please',
      inner: 'within',
      towards: 'towards',
      pay_user: 'payment',
      pay_sure: 'Payment',
      pay_delete: 'Cancellation of orders',
      submit_appeal: 'Submission of complaints',
      caneal_order: 'The order has been cancelled',
      problem: 'Common problem',
      problem_1: 'Is it safe to pay the seller?',
      problem_2: 'When can I receive the money?',
      transfer: 'Notes on Transfer',
      transfer_1:
        'In the process of transfer, please do not note information such as BTC, USDT, firecoin, etc. to prevent the interception of your remittance and the freezing of bank cards, so the seller can choose to refuse the transaction because of the delay of arrival.',
      transfer_2:
        'Please use platform real name bank card, Alipay and so on to transfer money, otherwise the seller can refuse to deal with and complain.',
      transfer_3:
        'If the transaction amount is more than 50,000 CNY, the remittance to the bank card after 17:00 on statutory holidays or working days may cause untimely account arrival, please pay in batches to ensure timely account arrival. If not, the seller has the right to refuse the transaction.',
      jgmi: 'Session window',
      issue:
        'No refund will be made after canceling the order. If you have paid, please do not cancel the order.',
      miss: 'Think',
      sure_delete: 'Confirm',
      no_click: '* Unpaid click "I have paid" will freeze the account',
      sure_sell: '* Please confirm that payment has been made to the seller.',
      not_been: 'Unpaid',
      made: 'PAY',
      goods_appeal: 'Appeal',
      Appeal_submit:
        'Assets will be frozen after the complaint is filed until the end of the complaint, and malicious complaints will be frozen accounts.',
      Appeal_reason: 'Reason',
      argument: 'Credentials',
      upload: 'Click Upload',
      Cancel_complaint: 'Cancel',
    },
    goodsSell: {
      delete: 'Cancelled',
      buy_phone: 'Buyer contact information',
      pay:
        'Payment has been made. After confirmation and currency placement, you will sell ',
      pay_buy: 'Waiting for the buyer to pay',
      buy_fukan: 'Buyer paid',
      buy_wx: 'The other party has paid by "Wechat"',
      buy_zfb: 'The other party has paid from Alipay.',
      buy_bank: 'The other party has paid by "bank card"',
      sure: 'Receivables',
      sure_buy: 'Please confirm that payment has been received from the buyer.',
      click_sure: "Click 'Confirm Receipt' to lend money to the buyer",
      no_sure: 'Unpaid',
      sure_shoukuan: 'Received',
    },
    warn: {
      img_error: 'Picture upload failed',
      appeal_suc: 'Successful appeal',
      success: 'Successful operation',
      pay:
        "Choose at least one way to collect money from sellers! You haven't chosen yet.",
      mintine: 'branch',
      miao: 'second',
    },
    chat: {
      name: 'Please enter your information',
      fa: 'Send out',
      null: 'Messages sent cannot be empty',
    },
    merchant: {
      name: 'Applicants',
      rule: 'Business Rules',
      look: 'I have checked and agreed to the Business Rules',
      promptly: 'Apply',
      tishi: 'Tips',
      wallet:
        'After the application has been approved by the merchant, it is necessary to lock a portion of the funds in your French currency purse as a deposit,',
      fou: 'Whether to confirm the application to become a merchant?',
      deposit: 'Bond',
      sure: 'sure',
      delete: 'Cancel',
      submit: 'Submitted!',
      submit_1:
        'Your application has been submitted successfully. Please be patient and wait for the result.',
      no_look:
        'You have not confirmed whether you have checked and agreed to the Business Rules.',
      data_del: 'Cancel Businessmen',
      cao:
        'This operation will disqualify the merchant. Do you want to continue?',
      success: 'Cancellation Successful',
      deled: 'Cancelled',
      yue: 'Insufficient wallet balance',
      market: 'The merchant has been certified.',
      marketcancel: 'Merchant cancellation.',
      bemarket: 'Business application successful!',
    },
  },
};
