export default {
  exchangeotc: {
    transaction: {
      user: '商家',
      userSuccess: '成单',
      userAchieve: '完成率',
      lastNum: '数量',
      minLimit: '限额',
      price: '单价',
      adPay: '支付方式',
      operation: '操作',
      buy: '购买',
      buy_un: '最多买入',
      buy_cion: '最多可买入',
      delete: '取 消',
      diog_time1: '提交信息即生成订单,请在',
      diog_time2: '分钟内完成付款',
      sell: '出售',
      sell_un: '最多出售',
      sell_cion: '最多可出售',
      pwd: '密码',
      tanPwd: '交易密码',
      pleasePwd: '请输入密码',
      sure: '确 定',
    },
    input: {
      order_tan: '请勿与自己发布的广告进行交易',
      login_warn: '您还未登录,请先登录',
      total_data: '交易额不能为空',
      amount_total: '数量不能为空',
      total_small: '交易额不能小于',
      adpay_one: '您需激活至少一种的卖方的收款方式,才可以进行出售!',
      big_total: '输入的数量大于最大限额,请重新输入',
      pwd_no: '您还未设置支付密码,请返回个人中心进行设置',
      pwd_write: '您还未输入支付密码!',
    },
    goods: {
      order: '订单',
      userPlease: '请您向',
      pay: '付款',
      success: '已完成',
      appeal: '申诉中',
      sure_pay: '我已付款',
      total: '总价',
      sell_pay: '卖家收款方式',
      wx: '微信',
      bank: '银行卡',
      zfb: '支付宝',
      order_delete: '订单已取消，无法查看支付信息',
      sell_phone: '卖家联系方式',
      phone: '手机',
      order_remark: '广告备注',
      appeal_result: '申诉结果',
      no_data: '暂无',
      adpay: '已支付,',
      momoent: '待',
      sure_cion: '确认并放币后,',
      user_receive: '您将收到',
      moment_pay: '等待支付,',
      please: '请于',
      inner: '内',
      towards: '向',
      pay_user: '支付',
      pay_sure: '确认付款',
      pay_delete: '取消订单',
      submit_appeal: '提交申诉',
      caneal_order: '订单已取消',
      problem: '常见问题',
      problem_1: '给卖家付款安全吗？',
      problem_2: '我什么时候能收到币？',
      transfer: '转款注意事项',
      transfer_1:
        '在转账过程中请勿备注类似BTC、USDT、火币等信息，防止造成您的汇款被拦截、银行卡被冻结等问题，因此到账延迟，卖方可选择拒绝成交。',
      transfer_2:
        '请使用平台实名的银行卡、支付宝等进行转款，否则卖家可拒绝成交并投诉。',
      transfer_3:
        '若交易金额大于50,000 CNY，法定假日或工作日17：00点以后汇款到银行卡可能造成到账不及时，请分批支付保证及时到账，若未及时到账，卖家有权拒绝成交。',
      jgmi: '会话窗口',
      issue: '取消订单后不会退款，如您已付款，请勿取消订单。',
      miss: '我再想想',
      sure_delete: '确认取消',
      no_click: '*未付款点击 " 我已付款 " 将冻结账户',
      sure_sell: '*请确认已向卖方付款',
      not_been: '还未付款',
      made: '我已付款',
      goods_appeal: '申诉',
      Appeal_submit:
        '提起申诉后资产将被冻结，直至申诉结束，恶意申诉则将被冻结账户',
      Appeal_reason: '申诉理由',
      argument: '上传凭证',
      upload: '点击上传',
      Cancel_complaint: '取消申诉',
    },
    goodsSell: {
      delete: '已取消',
      buy_phone: '买家联系方式',
      pay: '已支付，待确认并放币后，您将售出',
      pay_buy: '等待买家付款',
      buy_fukan: '买家已付款',
      buy_wx: '对方已从"微信"付款',
      buy_zfb: '对方已从"支付宝"付款',
      buy_bank: '对方已从"银行卡"付款',
      sure: '确认收款',
      sure_buy: '请确认已收到买家付款',
      click_sure: '点击"确认收款"放币给买家',
      no_sure: '还未收款',
      sure_shoukuan: '确认收款',
    },
    warn: {
      img_error: '图片上传失败',
      appeal_suc: '申诉成功',
      success: '操作成功',
      pay: '至少选择一项卖家收款方式!您还未选择',
      mintine: '分',
      miao: '秒',
    },
    chat: {
      name: '请输入您的信息',
      fa: '发送',
      null: '发送的消息不能为空',
    },
    merchant: {
      name: '申请商家',
      rule: '商家规则',
      look: '我已查看并同意商家规则',
      promptly: '立即申请',
      tishi: '提示',
      wallet:
        '申请成为商家审核通过后，需锁定您法币钱包里一部分资金作为保证金，',
      fou: '是否确认申请成为商家?',
      deposit: '保证金',
      sure: '确 定',
      delete: '取 消',
      submit: '已提交!',
      submit_1: '您的申请已成功提交，请耐心等待处理结果',
      no_look: '您还未确认是否已经查看并同意商家规则',
      data_del: '申请取消商家',
      cao: '此操作将取消商家资格, 是否继续?',
      success: '取消成功',
      deled: '已取消',
      yue: '钱包余额不足',
      market: '商家已认证',
      marketcancel: '商家取消中',
      bemarket: '申请商家成功！',
    },
  },
};
