export default {
  exchangeotc: {
    transaction: {
      user: '商家',
      userSuccess: '成單',
      userAchieve: '完成率',
      lastNum: '數量',
      minLimit: '限額',
      price: '單價',
      adPay: '支付方式',
      operation: '操作',
      buy: '購買',
      buy_un: '最多買入',
      buy_cion: '最多可買入',
      delete: '取 消',
      diog_time1: '提交信息即生成訂單,請在',
      diog_time2: '分鐘內完成付款',
      sell: '出售',
      sell_un: '最多出售',
      sell_cion: '最多可出售',
      pwd: '密碼',
      tanPwd: '交易密碼',
      pleasePwd: '請輸入密碼',
      sure: '確 定',
    },
    input: {
      order_tan: '請勿與自己發布的廣告進行交易',
      login_warn: '您還未登錄,請先登錄',
      total_data: '交易額不能為空',
      amount_total: '數量不能為空',
      total_small: '交易額不能小於',
      adpay_one: '您需激活至少壹種的賣方的收款方式,才可以進行出售!',
      big_total: '輸入的數量大於最大限額,請重新輸入',
      pwd_no: '您還未設置支付密碼,請返回個人中心進行設置',
      pwd_write: '您還未輸入支付密碼',
    },
    goods: {
      order: '訂單',
      userPlease: '請您向',
      pay: '付款',
      success: '已完成',
      appeal: '申訴中',
      sure_pay: '我已付款',
      total: '總價',
      sell_pay: '賣家收款方式',
      wx: '微信',
      bank: '銀行卡',
      zfb: '支付寶',
      order_delete: '訂單已取消，無法查看支付信息',
      sell_phone: '賣家聯系方式',
      phone: '手機',
      order_remark: '廣告備註',
      appeal_result: '申訴結果',
      no_data: '暫無',
      adpay: '已支付,',
      momoent: '待',
      sure_cion: '確認並放幣後,',
      user_receive: '您將收到',
      moment_pay: '等待支付,',
      please: '請於',
      inner: '內',
      towards: '向',
      pay_user: '支付',
      pay_sure: '確認付款',
      pay_delete: '取消訂單',
      submit_appeal: '提交申訴',
      caneal_order: '訂單已取消',
      problem: '常見問題',
      problem_1: '給賣家付款安全嗎？',
      problem_2: '我什麼時候能收到幣？',
      transfer: '轉款註意事項',
      transfer_1:
        '在轉賬過程中請勿備註類似BTC、USDT、火幣等信息，防止造成您的匯款被攔截、銀行卡被凍結等問題，因此到賬延遲，賣方可選擇拒絕成交。',
      transfer_2:
        '請使用平臺實名的銀行卡、支付寶等進行轉款，否則賣家可拒絕成交並投訴。',
      transfer_3:
        '請使若交易金額大於50,000 CNY，法定假日或工作日17：00點以後匯款到銀行卡可能造成到賬不及時，請分批支付保證及時到賬，若未及時到賬，賣家有權拒絕成交。',
      jgmi: '會話窗口',
      issue: '取消訂單後不會退款，如您已付款，請勿取消訂單。',
      miss: '我再想想',
      sure_delete: '確認取消',
      no_click: '*未付款點擊 " 我已付款 " 將凍結賬戶',
      sure_sell: '*請確認已向賣方付款',
      not_been: '還未付款',
      made: '我已付款',
      goods_appeal: '申訴',
      Appeal_submit:
        '提起申訴後資產將被凍結，直至申訴結束，惡意申訴則將被凍結賬戶',
      Appeal_reason: '申訴理由',
      argument: '上傳憑證',
      upload: '點擊上傳',
      Cancel_complaint: '取消申訴',
    },
    goodsSell: {
      delete: '已取消',
      buy_phone: '買家聯系方式',
      pay: '已支付，待確認並放幣後，您將售出',
      pay_buy: '等待買家付款',
      buy_fukan: '買家已付款',
      buy_wx: '對方已從"微信"付款',
      buy_zfb: '對方已從"支付寶"付款',
      buy_bank: '對方已從"銀行卡"付款',
      sure: '確認收款',
      sure_buy: '請確認已收到買家付款',
      click_sure: '點擊"確認收款"放幣給買家',
      no_sure: '還未收款',
      sure_shoukuan: '確認收款',
    },
    warn: {
      img_error: '圖片上傳失敗',
      appeal_suc: '申訴成功',
      success: '操作成功',
      pay: '至少選擇壹項賣家收款方式!您還未選擇',
      mintine: '分',
      miao: '秒',
    },
    chat: {
      name: '請輸入您的信息',
      fa: '發送',
      null: '發送的消息不能為空',
    },
    merchant: {
      name: '申請商家',
      rule: '商家規則',
      look: '我已查看並同意商家規則',
      promptly: '立即申請',
      tishi: '提示',
      wallet:
        '申請成為商家審核通過後，需鎖定您法幣錢包裏壹部分資金作為保證金，',
      fou: '是否確認申請成為商家?',
      deposit: '保證金',
      sure: '確 定',
      delete: '取 消',
      submit: '已提交!',
      submit_1: '您的申請已成功提交，請耐心等待處理結果',
      no_look: '您還未確認是否已經查看並同意商家規則',
      data_del: '申請取消商家',
      cao: '此操作將取消商家資格, 是否繼續?',
      success: '取消成功',
      deled: '已取消',
      yue: '錢包余額不足',
      market: '商家已認證',
      marketcancel: '商家取消中',
      bemarket: '申請商家成功！',
    },
  },
};
