export default {
  personal: {
    leftNav: {
      personal_center: 'Personal Center',
      profile: 'Basic Information',
      manner: 'Transaction',
      security: 'Account Security',
      prove: 'Verified',
    },
    profile: {
      basicInfo: {
        title: 'Basic Information',
        userName: 'Nickname',
        userName_p: 'Please enter user name',
        changeNameBtn: 'change username',
        loginPasswrod: 'Password',
        changePasswordBtn: 'change password',
        affirm: 'Confirm',
        cancel: 'Cancel',
      },
      loginHistory: {
        title: 'Login History',
        table_header_time: 'Time',
        table_header_way: 'Login Way',
        phone: 'Account number',
        table_header_status: 'Status',
        success: 'Success',
        fail: 'Failure',
      },
      dialog: 'Modify the success',
      changePassword: {
        title: 'Change login Password',
        old: 'Original',
        new: 'New',
        affirmPassWord: 'Confirm',
        old_p: 'Please enter your original password',
        new_p: 'Please enter a new password',
        affirmPassWord_p: 'Please confirm the new password',
        notCorrect: 'Inconsistent input password twice',
        affirmBtn: 'Confirm',
        cancelBtn: 'Cancel',
      },
    },
    security: {
      title: 'Account Security',
      phone: 'Account number',
      email: 'Binding email',
      no_email: 'Unbound mailbox',
      notBind: 'Unbounded',
      binding: 'Bind',
      google: 'Bind the Google validator',
      changeBtn: 'Replace',
      bindBtn: 'Bind',
      newPhone: 'Please enter a new phone number',
      sendSuccess: 'Send a success',
      code_p: 'Please enter the verification code',
      getCode: 'get code',
      msgCode: 'SMS verification code',
      resend: 'resend',
      phoneNum: 'Mobile phone number',
      sendText_1:
        'Verification code has been sent to your binding mobile phone number',
      sendText_2: 'please note that check',
      next: 'Next step',
      finish: 'finish',
      confirm: 'confirm',
      moneyPassword: 'Fund password',
      setting: 'Setting',
      hasSet: 'Has been set',
      notSet: 'Not set',
      changePhone: {
        title: 'Modify the binding phone number',
        step_1: 'Message authentication',
        step_2: 'Enter new number',
        step_3: 'Modify the success',
      },
      editEmail: {
        title: 'Modify binding email',
        email: 'email',
        email_p: 'Please enter your email address',
        emailCode: 'email code',
        emailCode_p: 'enter E-mail verification code',
        correct: 'Please enter the correct email address',
        bind: 'Binding success',
        send: 'Send a success',
        notAgain: 'You have already bound the mailbox, no need to bind again!',
      },
      googlepop: {
        title: 'Bind the Google validator',
        code: 'Google verification code',
        code_p: 'Please enter Google verification code',
      },
      setMoneyPassword: {
        title: 'Set the fund password',
        phoneNumber: 'Account number',
        code: 'code',
        fund: 'Password',
        fund_p: 'Please enter the fund password',
        confirm: 'Confirm',
        confirm_p: 'Please confirm the fund password',
        incorrect: 'Inconsistent input password twice',
        successful: 'Successful setup',
      },
    },
    manner: {
      title: 'Please activate the transaction method',
      remarks:
        'Note: At least one transaction method is activated, and the way you activate it will be shown to the buyer',
      alipayAccount: 'Alipay Account',
      weChatAccount: 'WeChat account',
      bankCardAccount: 'bank card account',
      inactivated: 'not activated',
      modify: 'Modify',
      activated: 'activated',
      activation: 'activation',
      password: 'Transaction password',
      password_p: 'Please enter the transaction password',
      passWord_tip: 'The transaction password cannot be empty!',
      uploadQRCode: 'Upload QR code',
      uploadQRCode_tip: 'QR code has not been uploaded yet!',
      saveBtn: 'Save',
      warning:
        'You have not set a payment password. Please return to your personal center for setup.',
      successful: 'Successful operation',
      modify_s: 'Successfully modified',
      alipay: {
        title: 'Bind Alipay',
        account: 'Alipay account number',
        account_p: 'Please enter Alipay account',
        account_tip: 'The payment package account cannot be empty!',
      },
      weChat: {
        title: 'Bind WeChat',
        account: 'WeChat account',
        account_p: 'Please enter WeChat account',
        account_tip: "WeChat account can't be empty!",
      },
      bank: {
        title: 'Real name tied card',
        name: 'cardholder name',
        name_p: 'Please enter the cardholder name',
        number: 'bank card number',
        number_p: 'Please enter the bank card number',
        bankName: 'Bank of deposit',
        bankName_p: 'Please enter the bank of deposit',
        name_tip: 'Cardholder name cannot be empty!',
        number_tip: 'Bank card number cannot be empty!',
        bankName_tip: 'Bank of deposit cannot be empty!',
      },
    },
    prove: {
      certified: 'Certified',
      failure: 'Failure',
      reason: 'Reason',
      title: 'Verified',
      stateTitle: 'Personal Real-name Authentication',
      nationality: 'Nationality',
      lowAuth: 'Primary real name certification',
      highAuth: 'Advanced real name certification',
      getOnLow: 'Please first pass the primary certification',
      notCertified: 'not certified',
      inCertification: 'under review',
      btn: 'Submit',
      success: 'Information submitted, please wait for review!',
      fail: 'Uploading photos failed, please re-upload',
      reviewing:
        'Do not repeat the application during the certification audit!',
      successful: 'The certification has been successful！',
      pass: 'examination passed',
      authenticateBtn: 'authenticate',
      stateContent:
        'Please note that once the certification information cannot be modified, please be sure to fill in the accurate information. Please note that the certification information cannot be modified once it is verified. Please fill in the accurate information truthfully. Please note that the certification information cannot be modified once it is verified. Please fill in the accurate information truthfully. Note that once the certification information cannot be modified, please be sure to fill in the exact information.',
      proveLow: {
        basicInfo: 'Basic Information',
        name: 'name',
        name_p: 'Please enter your name',
        idNum: 'ID Number',
        idNum_p: 'Please enter your id number',
        idNum_c: 'Please enter the correct id number',
        idCard: 'ID Card',
        upload: 'Upload',
        face: ' ID card face',
        emblem: ' ID card national emblem',
        face_p: 'Please upload your id card face',
        emblem_p: 'Please upload the national emblem of your id card',
      },
      proveHigh: {
        declaration: 'Declaration of certification',
        declaration_1:
          'Upload a photo of the front of the handheld document and the statement of the hand-held statement;',
        declaration_2:
          'Please write the current date and the words "Fireworks" on the white paper.',
        uploadImg: 'upload photos',
        uploadImg_p: 'Please upload an image',
        promise:
          "I promise that the information provided is owned by me and there is no misappropriation of other people's information.",
        promise_p: 'Please tick my promise',
      },
    },
    friend: {
      name: 'Invite good friends',
      ma: 'My invitation code',
      liji: 'Replicate',
      moment: 'Copy the invitation code and invite more friends to join us',
      success: 'Successful replication',
    },
  },
};
