export default {
  personal: {
    leftNav: {
      personal_center: '个人中心',
      profile: '基本资料',
      manner: '交易方式',
      security: '账户安全',
      prove: '实名认证',
    },
    profile: {
      basicInfo: {
        title: '基本信息',
        userName: '用户名',
        userName_p: '请输入用户名',
        changeNameBtn: '修改昵称',
        loginPasswrod: '登录密码',
        changePasswordBtn: '修改密码',
        affirm: '确认',
        cancel: '取消',
      },
      loginHistory: {
        title: '登录历史',
        table_header_time: '时间',
        table_header_way: '登录方式',
        phone: '账号',
        table_header_status: '状态',
        success: '成功',
        fail: '失败',
      },
      dialog: '修改成功',
      changePassword: {
        title: '修改登录密码',
        old: '原密码',
        new: '新密码',
        affirmPassWord: '确认密码',
        old_p: '请输入原密码',
        new_p: '请输入新密码',
        affirmPassWord_p: '请确认新密码',
        notCorrect: '两次输入的密码不一致',
        affirmBtn: '确认',
        cancelBtn: '取消',
      },
    },
    security: {
      title: '账户安全',
      phone: '账号',
      email: '绑定邮箱',
      no_email: '未绑定邮箱',
      notBind: '未绑定',
      binding: '已绑定',
      google: '绑定谷歌验证器',
      changeBtn: '更换',
      bindBtn: '绑定',
      newPhone: '请输入新的手机号',
      sendSuccess: '发送成功',
      code_p: '请输入验证码',
      getCode: '获取验证码',
      msgCode: '短信验证码',
      resend: '重发',
      phoneNum: '手机号码',
      sendText_1: '已向您的绑定手机号',
      sendText_2: '发送了验证码，请注意查收',
      next: '下一步',
      finish: '完成',
      confirm: '确认',
      moneyPassword: '资金密码',
      setting: '设置',
      hasSet: '已设置',
      notSet: '未设置',
      changePhone: {
        title: '修改绑定手机号',
        step_1: '短信验证',
        step_2: '输入新号码',
        step_3: '修改成功',
      },
      editEmail: {
        title: '修改绑定邮箱',
        email: '邮箱',
        email_p: '请输入您的邮箱',
        emailCode: '邮箱验证码',
        emailCode_p: '请输入邮箱验证码',
        correct: '请输入正确的邮箱地址',
        bind: '绑定成功',
        send: '发送成功',
        notAgain: '你已经绑定过邮箱了，无需再次绑定！',
      },
      googlepop: {
        title: '绑定谷歌验证器',
        code: '谷歌验证码',
        code_p: '请输入谷歌验证码',
      },
      setMoneyPassword: {
        title: '设置资金密码',
        phoneNumber: '账号',
        code: '验证码',
        fund: '资金密码',
        fund_p: '请输入资金密码',
        confirm: '确认密码',
        confirm_p: '请确认资金密码',
        incorrect: '两次输入的密码不一致',
        successful: '设置成功',
      },
    },
    manner: {
      title: '请激活交易方式',
      remarks: '注:至少激活一种交易方式,您激活的方式我们将展现给买家',
      alipayAccount: '支付宝账户',
      weChatAccount: '微信账户',
      bankCardAccount: '银行卡账户',
      inactivated: '未激活',
      modify: '修改',
      activated: '已激活',
      activation: '激活',
      password: '交易密码',
      password_p: '请输入交易密码',
      passWord_tip: '交易密码不能为空!',
      uploadQRCode: '上传二维码',
      uploadQRCode_tip: '还未上传二维码!',
      saveBtn: '保存',
      warning: '您还未设置支付密码,请返回个人中心进行设置',
      successful: '操作成功!',
      modify_s: '修改成功',
      alipay: {
        title: '绑定支付宝',
        account: '支付宝账号',
        account_p: '请输入支付宝账号',
        account_tip: '支付包账号不能为空!',
      },
      weChat: {
        title: '绑定微信',
        account: '微信账号',
        account_p: '请输入微信账号',
        account_tip: '微信账号不能为空!',
      },
      bank: {
        title: '实名绑卡',
        name: '持卡人姓名',
        name_p: '请输入持卡人姓名',
        number: '银行卡号',
        number_p: '请输入银行卡号',
        bankName: '开户银行',
        bankName_p: '请输入开户银行',
        name_tip: '持卡人姓名不能为空!',
        number_tip: '银行卡号不能为空!',
        bankName_tip: '开户银行不能为空!',
      },
    },
    prove: {
      certified: '已认证',
      failure: '认证失败',
      reason: '驳回原因',
      title: '实名认证',
      stateTitle: '个人实名认证',
      nationality: '国籍',
      lowAuth: '初级实名认证',
      highAuth: '高级实名认证',
      getOnLow: '请先进行初级认证',
      notCertified: '未认证',
      inCertification: '正在审核',
      pass: '审核通过',
      authenticateBtn: '去认证',
      btn: '提交',
      success: '信息已提交，请等待审核！',
      fail: '上传照片失败，请重新上传',
      reviewing: '认证审核中，请勿重复申请！',
      successful: '认证成功！',
      stateContent:
        '请注意认证信息一经验证不能修改，请务必如实填写准确信息，请注意认证信息一经验证不能修改，请务必如实填写准确信息请注意认证信息一经验证不能修改，请务必如实填写准确信息请注意认证信息一经验证不能修改，请务必如实填写准确信息。',
      proveLow: {
        basicInfo: '基本信息',
        name: '姓名',
        name_p: '请输入您的姓名',
        idNum: '身份证号码',
        idNum_p: '请输入您的身份证号',
        idNum_c: '请输入正确的的身份证号',
        idCard: '身份证',
        upload: '上传',
        face: '身份证人像',
        emblem: '身份证国徽',
        face_p: '请上传身份证人像面',
        emblem_p: '请上传身份证国徽面',
      },
      proveHigh: {
        declaration: '声明认证书',
        declaration_1: '上传手持证件正面及手持声明书的照片；',
        declaration_2: '声明书请在白纸写上当前日期与 “焰火网” 字样',
        uploadImg: '上传照片',
        uploadImg_p: '请上传图片',
        promise: '我承诺所提供的资料为我本人所有，不存在盗用他人资料的情况',
        promise_p: '请勾选我承诺',
      },
    },
    friend: {
      name: '邀请好友',
      ma: '我的邀请码',
      liji: '立即复制',
      moment: '复制邀请码，邀请更多好友加入',
      success: '复制成功',
    },
  },
};
