export default {
  personal: {
    leftNav: {
      personal_center: '個人中心',
      profile: '基本資料',
      manner: '交易方式',
      security: '賬戶安全',
      prove: '實名認證',
    },
    profile: {
      basicInfo: {
        title: '基本信息',
        userName: '用戶名',
        userName_p: '請輸入用戶名',
        changeNameBtn: '修改暱稱',
        loginPasswrod: '登錄密碼',
        changePasswordBtn: '修改密碼',
        affirm: '確認',
        cancel: '取消',
      },
      loginHistory: {
        title: '登錄歷史',
        table_header_time: '時間',
        table_header_way: '登錄方式',
        phone: '賬號',
        table_header_status: '狀態',
        success: '成功',
        fail: '失敗',
      },
      dialog: '修改成功',
      changePassword: {
        title: '修改登錄密碼',
        old: '原密碼',
        new: '新密碼',
        affirmPassWord: '確認密碼',
        old_p: '請輸入原密碼',
        new_p: '請輸入新密碼',
        affirmPassWord_p: '請確認新密碼',
        notCorrect: '兩次輸入的密碼不一致',
        affirmBtn: '確認',
        cancelBtn: '取消',
      },
    },
    security: {
      title: '賬戶安全',
      phone: '賬號',
      email: '绑定郵箱',
      no_email: '未绑定郵箱',
      notBind: '未绑定',
      binding: '已綁定',
      google: '绑定谷歌驗證器',
      changeBtn: '更換',
      bindBtn: '绑定',
      newPhone: '請輸入新的手機號',
      sendSuccess: '發送成功',
      code_p: '請輸入驗證碼',
      getCode: '獲取驗證碼',
      msgCode: '短信驗證碼',
      resend: '重發',
      phoneNum: '手機號碼',
      sendText_1: '已向您的綁定手機號',
      sendText_2: '發送了驗證碼，請注意查收',
      next: '下一步',
      finish: '完成',
      confirm: '確認',
      moneyPassword: '資金密碼',
      setting: '設置',
      hasSet: '已設置',
      notSet: '未設置',
      changePhone: {
        title: '修改綁定手機號',
        step_1: '短信驗證',
        step_2: '輸入新號碼',
        step_3: '修改成功',
      },
      editEmail: {
        title: '修改綁定郵箱',
        email: '郵箱',
        email_p: '請輸入您的郵箱',
        emailCode: '郵箱驗證碼',
        emailCode_p: '請輸入郵箱驗證碼',
        correct: '請輸入正確的郵箱地址',
        bind: '綁定成功',
        send: '發送成功',
        notAgain: '你已經綁定過郵箱，無需再次綁定！',
      },
      googlepop: {
        title: '綁定谷歌驗證器',
        code: '谷歌驗證碼',
        code_p: '請輸入谷歌驗證碼',
      },
      setMoneyPassword: {
        title: '設置資金密碼',
        phoneNumber: '賬號',
        code: '驗證碼',
        fund: '資金密碼',
        fund_p: '請輸入資金密碼',
        confirm: '確認密碼',
        confirm_p: '請確認資金密碼',
        incorrect: '兩次輸入的密碼不一致',
        successful: '設置成功',
      },
    },
    manner: {
      title: '請激活交易方式',
      remarks: '註:至少激活壹種交易方式,您激活的方式我們將展現給買家',
      alipayAccount: '支付寶賬戶',
      weChatAccount: '微信賬戶',
      bankCardAccount: '銀行卡賬戶',
      inactivated: '未激活',
      modify: '修改',
      activated: '已激活',
      activation: '激活',
      password: '交易密碼',
      password_p: '請輸入交易密碼',
      passWord_tip: '交易密碼不能為空!',
      uploadQRCode: '上傳二維碼',
      uploadQRCode_tip: '還未上傳二維碼!',
      saveBtn: '保存',
      warning: '您還未設置支付密碼,請返回個人中心進行設置',
      successful: '操作成功',
      modify_s: '修改成功',
      alipay: {
        title: '綁定支付寶',
        account: '支付寶賬號',
        account_p: '請輸入支付寶賬號',
        account_tip: '支付包賬號不能為空!',
      },
      weChat: {
        title: '綁定微信',
        account: '微信賬號',
        account_p: '請輸入微信賬號',
        account_tip: '微信賬號不能為空!',
      },
      bank: {
        title: '實名綁卡',
        name: '持卡人姓名',
        name_p: '請輸入持卡人姓名',
        number: '銀行卡號',
        number_p: '請輸入銀行卡號',
        bankName: '開戶銀行',
        bankName_p: '請輸入開戶銀行',
        name_tip: '持卡人姓名不能為空!',
        number_tip: '銀行卡號不能為空!',
        bankName_tip: '開戶銀行不能為空!',
      },
    },
    prove: {
      certified: '已認證',
      failure: '認證失敗',
      reason: '駁回原因',
      title: '實名認證',
      stateTitle: '個人實名認證',
      nationality: '國籍',
      lowAuth: '初級實名認證',
      highAuth: '高級實名認證',
      getOnLow: '請先進行初級認證',
      notCertified: '未認證',
      inCertification: '正在審核',
      pass: '審核通過',
      authenticateBtn: '去認證',
      btn: '提交',
      success: '信息已提交，請等待審核！',
      fail: '上傳照片失敗，請重新上傳',
      reviewing: '認證審核中，請勿重復申請！',
      successful: '認證成功！',
      stateContent:
        '請註意認證信息壹經驗證不能修改，請務必如實填寫準確信息，請註意認證信息壹經驗證不能修改，請務必如實填寫準確信息請註意認證信息壹經驗證不能修改，請務必如實填寫準確信息請註意認證信息壹經驗證不能修改，請務必如實填寫準確信息。',
      proveLow: {
        basicInfo: '基本信息',
        name: '姓名',
        name_p: '請輸入您的姓名',
        idNum: '身份證號碼',
        idNum_p: '請輸入您的身份證號',
        idNum_c: '請輸入正確的的身份證號',
        idCard: '身份證',
        upload: '上傳',
        face: '身份證人像',
        emblem: '身份證國徽',
        face_p: '請上傳身份證人像面',
        emblem_p: '請上傳身份證國徽面',
      },
      proveHigh: {
        declaration: '聲明認證書',
        declaration_1: '上傳手持證件正面及手持聲明書的照片；',
        declaration_2: '聲明書請在白紙寫上當前日期與 “焰火網” 字樣',
        uploadImg: '上傳照片',
        uploadImg_p: '請上傳圖片',
        promise: '我承諾所提供的資料為我本人所有，不存在盜用他人資料的情況',
        promise_p: '請勾選我承諾',
      },
    },
    friend: {
      name: '邀請好友',
      ma: '我的邀請碼',
      liji: '立即復制',
      moment: '復制邀請碼，邀請更多好友加入',
      success: '復制成功',
    },
  },
};
